﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Justin.UILibrary;

public partial class Controls_DemoUI : UI
{
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        //这里把界面的按纽事件跟基类里实现的对应功能挂起来。
        this.ExecActionEvent();
    }

    //新建的时候(New状态)，初始化界面控件
    protected override void UITypeIsNew()
    {
        this.Button1.Text = "提交";
        ///其他代码
    }

    //浏览的时候(View状态)，初始化界面控件
    protected override void UITypeIsView()
    {
        base.UITypeIsView();
        ///其他代码
    }

    //修改的时候(Modify状态)，初始化界面控件
    protected override void UITypeIsModify()
    {
        this.Button1.Text = "保存";
        ///其他代码
    }
}
